Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.contact
Class PersonImpl

    java.lang.Object
      |
      +--theory.smart.foundation.EntityImpl
            |
            +--theory.smart.axiom.contact.StakeholderImpl
                  |
                  +--theory.smart.axiom.contact.PersonImpl

Direct Known Subclasses:
  CustomerImpl

public class PersonImpl
extends StakeholderImpl

A Person describes a `Stakeholder` that represents a single individual. It contains a full set of instructions

     Primary Key = theory.smart.axiom.contact.PersonPk

See Also:
  `Person`, `PersonHome`, `PersonValue`, Serialized Form

Field Summary
`java.sql.Date` | `dob` dob [Person] <*>------> [`java.sql.Date`]
`java.lang.String` | `firstName` firstName [Person] <*>------> [`String`]
`java.lang.String` | `lastName` lastName [Person] <*>------> [`String`]
`java.lang.String` | `maritalStatus` maritalStatus [Person] <*>------> [`String`]
`java.lang.String` | `middleName` middleName [Person] <*>------> [`String`]
`java.lang.String` | `motherMaidenName` motherMaidenName [Person] <*>------> [`String`]
`java.lang.String` | `ssn` ssn [Person] <*>------> [`String`]
`java.lang.String` | `suffix` suffix [Person] <*>------> [`String`]
`java.lang.String` | `title` title [Person] <*>------> [`String`]

Fields inherited from class theory.smart.axiom.contact.StakeholderImpl
`addresses, description, emails, faxes, identifier, phones, primaryName, urls`

Fields inherited from class theory.smart.foundation.EntityImpl
`ctx, isDirty, isLoaded`

Constructor Summary
`PersonImpl()`

Method Summary
`void` | `ejbActivate()` ejbActivate method.
`PersonPk` | `ejbCreate(PersonPk personPk)`
`protected void` | `ejbCreateInitVars(PersonPk personPk)`
`java.util.Enumeration` | `ejbFindAll()`
`PersonPk` | `ejbFindByPrimaryKey(PersonPk pk)`
`void` | `ejbLoad()` ejbLoad method.
`void` | `ejbPassivate()` ejbPassivate method.
`void` | `ejbPostCreate(PersonPk personPk)`
`void` | `ejbRemove()` ejbRemove method.
`void` | `ejbStore()` ejbStore method.
`java.sql.Date` | `getDob()` Get the value of dob
`java.lang.String` | `getFirstName()` Get the value of firstName
`java.lang.String` | `getLastName()` Get the value of lastName
`java.lang.String` | `getMaritalStatus()` Get the value of maritalStatus
`java.lang.String` | `getMiddleName()` Get the value of middleName
`java.lang.String` | `getMotherMaidenName()` Get the value of motherMaidenName
`PersonValue` | `getPersonByValue()` Get all of Person's attributes.
`java.lang.String` | `getSsn()` Get the value of ssn
`java.lang.String` | `getSuffix()` Get the value of suffix
`java.lang.String` | `getTitle()` Get the value of title
`void` | `setDob(java.sql.Date dob)` Set the value of dob
`void` | `setEntityContext(EntityContext ctx)` setEntityContext method.
`void` | `setFirstName(java.lang.String firstName)` Set the value of firstName
`void` | `setLastName(java.lang.String lastName)` Set the value of lastName
`void` | `setMaritalStatus(java.lang.String maritalStatus)` Set the value of maritalStatus
`void` | `setMiddleName(java.lang.String middleName)` Set the value of middleName
`void` | `setMotherMaidenName(java.lang.String motherMaidenName)` Set the value of motherMaidenName
`void` | `setPersonByValue(PersonValue value)` Set all of Person's attributes to the passed in value.
`void` | `setSsn(java.lang.String ssn)` Set the value of ssn
`void` | `setSuffix(java.lang.String suffix)` Set the value of suffix
`void` | `setTitle(java.lang.String title)` Set the value of title
`void` | `unsetEntityContext()` unsetEntityContext method.

Methods inherited from class theory.smart.axiom.contact.StakeholderImpl
`addFax, addFax, addFaxes, addFaxes, addFirstFax, addLastFax, containsAddressKey, containsAddressValue, containsEmailKey, containsEmailValue, containsFax, containsPhoneKey, containsPhoneValue, containsUrlKey, containsUrlValue, ejbCreate, ejbCreateInitVars, ejbFindByPrimaryKey, ejbPostCreate, getAddressByKey, getAddresses, getDescription, getEmailByKey, getEmails, getFax, getFaxes, getFaxes, getFirstFax, getIdentifier, getLastFax, getNamedAddress, getNumberOfAddresses, getNumberOfEmails, getNumberOfFaxes, getNumberOfPhones, getNumberOfUrls, getPhoneByKey, getPhones, getPrimaryAddress, getStakeholderByValue, getUrlByKey, getUrls, indexOfFax, isAddressesEmpty, isEmailsEmpty, isFaxesEmtpy, isPhonesEmpty, isUrlsEmpty, lastIndexOfFax, putAddress, putAddresses, putEmail, putEmails, putPhone, putPhones, putUrl, putUrls, removeAddressByKey, removeAllAddresses, removeAllEmails, removeAllFaxes, removeAllPhones, removeAllUrls, removeEmailByKey, removeFax, removeFax, removeFirstFax, removeLastFax, removePhoneByKey, removeUrlByKey, setDescription, setFax, setPrimaryAddress, setStakeholderByValue`

Methods inherited from class theory.smart.foundation.EntityImpl
`ejbCreate, ejbCreateInitVars, ejbPostCreate, getEntityContext, isModified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### firstName

    public java.lang.String firstName

                        firstName
       [Person] <*>------> [String]

### lastName

    public java.lang.String lastName

                        lastName
       [Person] <*>------> [String]

### middleName

    public java.lang.String middleName

                        middleName
       [Person] <*>------> [String]

### title

    public java.lang.String title

                        title
       [Person] <*>------> [String]

### suffix

    public java.lang.String suffix

                        suffix
       [Person] <*>------> [String]

### ssn

    public java.lang.String ssn

                        ssn
       [Person] <*>------> [String]

### dob

    public java.sql.Date dob

                        dob
       [Person] <*>------> [java.sql.Date]

### motherMaidenName

    public java.lang.String motherMaidenName

                        motherMaidenName
       [Person] <*>------> [String]

### maritalStatus

    public java.lang.String maritalStatus

                        maritalStatus
       [Person] <*>------> [String]

Constructor Detail

### PersonImpl

    public PersonImpl()
               throws CreateException

Method Detail

### getPersonByValue

    public PersonValue getPersonByValue()
                                 throws java.rmi.RemoteException

  Get all of Person's attributes.
  Returns:
    PersonValue the Person value object

### setPersonByValue

    public void setPersonByValue(PersonValue value)
                          throws java.rmi.RemoteException

  Set all of Person's attributes to the passed in value. Note: Primary key attributes are not set.
  Parameters:
    `PersonValue` - the Person value object

### ejbCreate

    public PersonPk ejbCreate(PersonPk personPk)
                       throws CreateException,
                              java.rmi.RemoteException

### ejbCreateInitVars

    protected void ejbCreateInitVars(PersonPk personPk)
                              throws CreateException,
                                     java.rmi.RemoteException

### ejbPostCreate

    public void ejbPostCreate(PersonPk personPk)
                       throws CreateException,
                              java.rmi.RemoteException

### ejbLoad

    public void ejbLoad()
                 throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbLoad method.
  Overrides:
    ejbLoad in class StakeholderImpl

### ejbStore

    public void ejbStore()
                  throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbStore method.
  Overrides:
    ejbStore in class StakeholderImpl

### ejbRemove

    public void ejbRemove()
                   throws java.rmi.RemoteException,
                          RemoveException

  Description copied from class: EntityImpl
  ejbRemove method.
  Overrides:
    ejbRemove in class StakeholderImpl

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbActivate method.
  Overrides:
    ejbActivate in class StakeholderImpl

### ejbPassivate

    public void ejbPassivate()
                      throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbPassivate method.
  Overrides:
    ejbPassivate in class StakeholderImpl

### setEntityContext

    public void setEntityContext(EntityContext ctx)
                          throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  setEntityContext method.
  Overrides:
    setEntityContext in class StakeholderImpl

### unsetEntityContext

    public void unsetEntityContext()
                            throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  unsetEntityContext method.
  Overrides:
    unsetEntityContext in class StakeholderImpl

### ejbFindByPrimaryKey

    public PersonPk ejbFindByPrimaryKey(PersonPk pk)
                                 throws FinderException,
                                        java.rmi.RemoteException

### ejbFindAll

    public java.util.Enumeration ejbFindAll()
                                     throws FinderException,
                                            java.rmi.RemoteException

  Overrides:
    ejbFindAll in class StakeholderImpl

### getFirstName

    public java.lang.String getFirstName()
                                  throws java.rmi.RemoteException

  Get the value of firstName
  Returns:
    firstName.

### setFirstName

    public void setFirstName(java.lang.String firstName)
                      throws java.rmi.RemoteException

  Set the value of firstName
  Parameters:
    `firstName` - firstName to be added

### getLastName

    public java.lang.String getLastName()
                                 throws java.rmi.RemoteException

  Get the value of lastName
  Returns:
    lastName.

### setLastName

    public void setLastName(java.lang.String lastName)
                     throws java.rmi.RemoteException

  Set the value of lastName
  Parameters:
    `lastName` - lastName to be added

### getMiddleName

    public java.lang.String getMiddleName()
                                   throws java.rmi.RemoteException

  Get the value of middleName
  Returns:
    middleName.

### setMiddleName

    public void setMiddleName(java.lang.String middleName)
                       throws java.rmi.RemoteException

  Set the value of middleName
  Parameters:
    `middleName` - middleName to be added

### getTitle

    public java.lang.String getTitle()
                              throws java.rmi.RemoteException

  Get the value of title
  Returns:
    title.

### setTitle

    public void setTitle(java.lang.String title)
                  throws java.rmi.RemoteException

  Set the value of title
  Parameters:
    `title` - title to be added

### getSuffix

    public java.lang.String getSuffix()
                               throws java.rmi.RemoteException

  Get the value of suffix
  Returns:
    suffix.

### setSuffix

    public void setSuffix(java.lang.String suffix)
                   throws java.rmi.RemoteException

  Set the value of suffix
  Parameters:
    `suffix` - suffix to be added

### getSsn

    public java.lang.String getSsn()
                            throws java.rmi.RemoteException

  Get the value of ssn
  Returns:
    ssn.

### setSsn

    public void setSsn(java.lang.String ssn)
                throws java.rmi.RemoteException

  Set the value of ssn
  Parameters:
    `ssn` - ssn to be added

### getDob

    public java.sql.Date getDob()
                         throws java.rmi.RemoteException

  Get the value of dob
  Returns:
    dob.

### setDob

    public void setDob(java.sql.Date dob)
                throws java.rmi.RemoteException

  Set the value of dob
  Parameters:
    `dob` - dob to be added

### getMotherMaidenName

    public java.lang.String getMotherMaidenName()
                                         throws java.rmi.RemoteException

  Get the value of motherMaidenName
  Returns:
    motherMaidenName.

### setMotherMaidenName

    public void setMotherMaidenName(java.lang.String motherMaidenName)
                             throws java.rmi.RemoteException

  Set the value of motherMaidenName
  Parameters:
    `motherMaidenName` - motherMaidenName to be added

### getMaritalStatus

    public java.lang.String getMaritalStatus()
                                      throws java.rmi.RemoteException

  Get the value of maritalStatus
  Returns:
    maritalStatus.

### setMaritalStatus

    public void setMaritalStatus(java.lang.String maritalStatus)
                          throws java.rmi.RemoteException

  Set the value of maritalStatus
  Parameters:
    `maritalStatus` - maritalStatus to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.